Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.surf.generate_plane

`mvpa2.support.nibabel.surf.``generate_plane`(x00, x01, x10, n01, n10)

  Generates a plane.

  Parameters:

  x00: np.array with 3 values

  > origin

  x01: np.array with 3 values

  > vector indicating first direction of plane

  x10: np.array with 3 values

  > vector indicating second direction of plane

  n01: int

  > number of points in first direction

  n10: int

  > number of points in second direction

  Returns:

  surf.Surface

  > surface with n01*n10 nodes and (n01-1)*(n10-1)*2 faces. The (i,j)-th point is at coordinate x01+i*x01+j*x10 and is stored as the (i*n10+j)-th vertex.